com.holonplatform.datastore.mongo.sync.config

## Interface SyncMongoDatastoreCommodityContext

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodityContext, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, MongoContext<com.mongodb.client.ClientSession>, MongoDatabaseHandler<com.mongodb.client.MongoDatabase>, MongoDatastoreCommodityContext<com.mongodb.client.MongoDatabase,com.mongodb.client.ClientSession>, MongoOperationContext<com.mongodb.client.MongoDatabase,com.mongodb.client.ClientSession>, Serializable
  All Known Implementing Classes:
    DefaultMongoDatastore

      public interface SyncMongoDatastoreCommodityContext
      extends MongoDatastoreCommodityContext<com.mongodb.client.MongoDatabase,com.mongodb.client.ClientSession>

  Synchronous MongoDB Datastore `DatastoreCommodityContext`.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreCommodityContext

      `com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityConfigurationException, com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityNotAvailableException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.mongodb.client.MongoClient` | `getClient()` Get the MongoDB client.

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.config.MongoDatastoreCommodityContext

      `getDatabaseName`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.context.MongoOperationContext

      `isAsync`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.context.MongoContext

      `getClientSession, getDatabaseCodecRegistry, getDefaultEnumCodecStrategy, getDefaultReadConcern, getDefaultReadPreference, getDefaultWriteConcern, getDocumentIdResolver, toJson, toJson, toJson, trace, trace, trace, trace`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatabaseHandler

      `withDatabase, withDatabase`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

- - ### Method Detail

    - #### getClient

          com.mongodb.client.MongoClient getClient()

      Get the MongoDB client.
      Returns:
        the MongoDB client

Copyright © 2019 The Holon Platform. All rights reserved.